Bug 1607992 - GDM crash/coredump in Fedora 27 with NIS
Summary: GDM crash/coredump in Fedora 27 with NIS
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 17:10 UTC by RobbieTheK
Modified: 2018-11-30 22:15 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 22:15:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Gitlab 1 None None None 2018-07-24 18:29 UTC

Description RobbieTheK 2018-07-24 17:10:39 UTC
Happens to all NIS users. Kicked back to login screen, every time. Local user can log in. Switching to LightDM fixes problem.
Kernel: 4.17.7-100.fc27.x86_64 
GDM version: gdm-3.26.2.1-3.fc27.x86_64

Coredump, 30 MB, uploaded to http://storm.cis.fordham.edu/~rkudyba/core.gnome-shell.42.67a29c110fe34998a592be93e142e2d4.1387.1532450049000000.lz4

relavant logs:
Jul 24 12:34:09 ll612-03 systemd[1]: Stopping GNOME Display Manager...
Jul 24 12:34:09 ll612-03 at-spi-bus-launcher[1428]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1024"
Jul 24 12:34:09 ll612-03 at-spi-bus-launcher[1428]:      after 21 requests (21 known processed) with 0 events remaining.
Jul 24 12:34:09 ll612-03 journal[1387]: Connection to xwayland lost
Jul 24 12:34:09 ll612-03 org.gnome.Shell.desktop[1387]: == Stack trace for context 0x560130e68000 ==
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.A11ySettings.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.A11ySettings.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Mouse.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.ScreensaverProxy.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Sharing.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Smartcard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Sound.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Mouse.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Wacom.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Clipboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Keyboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.MediaKeys.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.PrintNotifications.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Rfkill.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.ScreensaverProxy.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.A11yKeyboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Datetime.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Housekeeping.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Sharing.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Power.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Smartcard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Sound.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Wacom.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Clipboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Keyboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.MediaKeys.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.PrintNotifications.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Rfkill.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.A11yKeyboard.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Datetime.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Housekeeping.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Power.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.XSettings.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.XSettings.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session[1380]: gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Color.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 gnome-session-binary[1380]: WARNING: Application 'org.gnome.SettingsDaemon.Color.desktop' killed by signal 15
Jul 24 12:34:09 ll612-03 systemd[1]: Started Process Core Dump (PID 6147/UID 0).
Jul 24 12:34:09 ll612-03 gdm[1340]: GLib: g_variant_new_string: assertion 'string != NULL' failed
Jul 24 12:34:09 ll612-03 gdm[1340]: GLib: g_variant_new_string: assertion 'string != NULL' failed
Jul 24 12:34:09 ll612-03 gdm[1340]: GLib: g_hash_table_find: assertion 'version == hash_table->version' failed
Jul 24 12:34:09 ll612-03 systemd[1]: Stopped GNOME Display Manager.
Jul 24 12:34:10 ll612-03 systemd-coredump[6148]: Process 1387 (gnome-shell) of user 42 dumped core.

Stack trace of thread 1387:
#0  0x00007fb12206b050 raise (libpthread.so.0)
#1  0x00005601306c5a0b dump_gjs_stack_on_signal_handler (gnome-shell)
#2  0x00007fb12206b1b0 __restore_rt (libpthread.so.0)
#3  0x00007fb123e0b791 _g_log_abort (libglib-2.0.so.0)
#4  0x00007fb123e0c7cc g_log_default_handler (libglib-2.0.so.0)
#5  0x00005601306c5ae5 default_log_handler (gnome-shell)
#6  0x00007fb123e0ca5d g_logv (libglib-2.0.so.0)
#7  0x00007fb123e0cbcf g_log (libglib-2.0.so.0)
#8  0x00007fb12235319e x_io_error (libmutter-1.so.0)
#9  0x00007fb120a63ede _XIOError (libX11.so.6)
#10 0x00007fb120a6176d _XEventsQueued (libX11.so.6)
#11 0x00007fb120a532bd XPending (libX11.so.6)
#12 0x00007fb1215b8b91 gdk_event_source_check (libgdk-3.so.0)
#13 0x00007fb123e058e9 g_main_context_check (libglib-2.0.so.0)
#14 0x00007fb123e05e60 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#15 0x00007fb123e06252 g_main_loop_run (libglib-2.0.so.0)
#16 0x00007fb12231b93c meta_run (libmutter-1.so.0)
#17 0x00005601306c542c main (gnome-shell)
#18 0x00007fb121cc3f2a __libc_start_main (libc.so.6)
#19 0x00005601306c556a _start (gnome-shell)

Stack trace of thread 1458:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1463:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1390:
#0  0x00007fb121d8dc6b __poll (libc.so.6)
#1  0x00007fb123e05eb9 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#2  0x00007fb123e05fcc g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007fb123e06011 glib_worker_main (libglib-2.0.so.0)
#4  0x00007fb123e2d546 g_thread_proxy (libglib-2.0.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1454:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1455:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1459:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1460:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1457:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1461:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1464:
#0  0x00007fb12206682d pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
#1  0x00007fb11a2fc524 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
#2  0x00007fb11a2fc795 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
#3  0x00007fb11a6f5a33 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
#4  0x00007fb11a7172a2 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
#5  0x00007fb12206050b start_thread (libpthread.so.0)
#6  0x00007fb121d9816f __clone (libc.so.6)

Stack trace of thread 1391:
#0  0x00007fb121d8dc6b __poll (libc.so.6)
#1  0x00007fb123e05eb9 g_main_context_iterate.isra.23 (libglib-2.0.so.0)
#2  0x00007fb123e06252 g_main_loop_run (libglib-2.0.so.0)
#3  0
Jul 24 12:34:11 ll612-03 abrtd[917]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2018-07-19-17:23:29.571854-1369'
Jul 24 12:34:13 ll612-03 systemd[1]: Reloading.
Jul 24 12:34:13 ll612-03 systemd[1]: /usr/lib/systemd/system/rsyslog.service:21: Unknown lvalue 'LimitNOFILE' in section 'Install'
Jul 24 12:34:13 ll612-03 dbus-daemon[892]: [system] Activating service name='org.freedesktop.problems' requested by ':1.86' (uid=0 pid=6201 comm="/usr/bin/python3 /usr/bin/abrt-action-notify -d /v") (using servicehelper)
Jul 24 12:34:13 ll612-03 dbus-daemon[892]: [system] Successfully activated service 'org.freedesktop.problems'
Jul 24 12:34:13 ll612-03 abrt-notification[6226]: Process 1387 (gnome-shell) crashed in dump_gjs_stack_on_signal_handler()
Jul 24 12:34:18 ll612-03 systemd[1]: Reloading.

GDB backtrace of core file:
(gdb) bt full
#0  raise (sig=5) at ../sysdeps/unix/sysv/linux/raise.c:51
        set = {__val = {0, 538, 539, 540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 552}}
        pid = <optimized out>
        tid = <optimized out>
#1  0x00005601306c5a0b in dump_gjs_stack_on_signal_handler (signo=5) at ../src/main.c:372
        sa = {__sigaction_handler = {sa_handler = 0x5601306c5a40 <dump_gjs_stack_alarm_sigaction>, 
            sa_sigaction = 0x5601306c5a40 <dump_gjs_stack_alarm_sigaction>}, sa_mask = {__val = {
              0 <repeats 16 times>}}, sa_flags = 0, sa_restorer = 0x0}
        i = 65
#2  <signal handler called>
No locals.
#3  _g_log_abort (breakpoint=1) at gmessages.c:554
        debugger_present = 1
#4  0x00007fb123e0c7cc in g_log_default_handler (log_domain=<optimized out>, log_level=<optimized out>, 
    message=<optimized out>, unused_data=<optimized out>) at gmessages.c:3051
        fields = {{key = 0x7fb123e57865 "GLIB_OLD_LOG_API", value = 0x7fb123eaccc4, length = -1}, {
            key = 0x7fb123e577a8 "MESSAGE", value = 0x5601334ad170, length = -1}, {key = 0x7fb123e577bb "PRIORITY", 
            value = 0x7fb123e51afa, length = -1}, {key = 0x7fb123e57815 "GLIB_DOMAIN", value = 0x7fb122392433, 
            length = -1}}
        n_fields = <optimized out>
#5  0x00005601306c5ae5 in default_log_handler (log_domain=log_domain@entry=0x7fb122392433 "mutter", 
    log_level=log_level@entry=6, message=message@entry=0x5601334ad170 "Connection to xwayland lost", 
    data=data@entry=0x0) at ../src/main.c:315
        now = {tv_sec = 1532450049, tv_usec = 601922}
---Type <return> to continue, or q <return> to quit---
#6  0x00007fb123e0ca5d in g_logv (log_domain=0x7fb122392433 "mutter", log_level=G_LOG_LEVEL_ERROR, 
    format=<optimized out>, args=args@entry=0x7ffc5fd86de0) at gmessages.c:1341
        domain = 0x0
        data = 0x0
        depth = 1
        log_func = 0x5601306c5a90 <default_log_handler>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = 0
        test_level = 6
        was_fatal = 0
        was_recursion = 0
        msg = 0x5601334ad170 "Connection to xwayland lost"
        msg_alloc = 0x5601334ad170 "Connection to xwayland lost"
        i = 2
#7  0x00007fb123e0cbcf in g_log (log_domain=log_domain@entry=0x7fb122392433 "mutter", 
    log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7fb1223a4f50 "Connection to xwayland lost")
    at gmessages.c:1403
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffc5fd86ec0, reg_save_area = 0x7ffc5fd86e00}}
#8  0x00007fb12235319e in x_io_error (display=<optimized out>) at wayland/meta-xwayland.c:418
No locals.
#9  0x00007fb120a63ede in _XIOError (dpy=dpy@entry=0x560130d8ac30) at XlibInt.c:1469
No locals.
#10 0x00007fb120a6176d in _XEventsQueued (dpy=dpy@entry=0x560130d8ac30, mode=mode@entry=2) at xcb_io.c:352
        response = <optimized out>
---Type <return> to continue, or q <return> to quit---
        mode = 2
        dpy = 0x560130d8ac30
#11 0x00007fb120a532bd in XPending (dpy=0x560130d8ac30) at Pending.c:55
        ret_val = <optimized out>
#12 0x00007fb1215b8b91 in gdk_check_xpending (display=<optimized out>) at gdkeventsource.c:269
No locals.
#13 gdk_event_source_check (source=0x560130d653e0) at gdkeventsource.c:306
        event_source = 0x560130d653e0
        retval = <optimized out>
#14 0x00007fb123e058e9 in g_main_context_check (context=context@entry=0x560130a72820, max_priority=0, 
    fds=fds@entry=0x5601333e7b60, n_fds=n_fds@entry=19) at gmain.c:3701
        result = <optimized out>
        check = 0x7fb1215b8b40 <gdk_event_source_check>
        source = 0x560130d653e0
        iter = {context = 0x560130a72820, may_modify = 1, current_list = 0x560130a4ee60, source = 0x560130d653e0}
        pollrec = <optimized out>
        n_ready = 1
        i = <optimized out>
#15 0x00007fb123e05e60 in g_main_context_iterate (context=0x560130a72820, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3865
        max_priority = 2147483647
        timeout = 267458
        some_ready = <optimized out>
        nfds = 19
---Type <return> to continue, or q <return> to quit---
        allocated_nfds = 19
        fds = 0x5601333e7b60
#16 0x00007fb123e06252 in g_main_loop_run (loop=0x560130d641b0) at gmain.c:4064
        __func__ = "g_main_loop_run"
#17 0x00007fb12231b93c in meta_run () at core/main.c:648
No locals.
#18 0x00005601306c542c in main (argc=<optimized out>, argv=<optimized out>) at ../src/main.c:530
        ctx = <optimized out>
        error = 0x0
        ecode = <optimized out>

Comment 1 RobbieTheK 2018-07-24 18:29:58 UTC
See suggestion in https://access.redhat.com/solutions/2197261, run authconfig --updateall, so far tested on one workstation and it's worked.

Might be related to this log entry:
gdm: GLib: g_variant_new_string: assertion 'string != NULL' failed

Note that on Fedora 28 authconfig is replaced with authselect.

I believe https://gitlab.gnome.org/GNOME/gnome-shell/issues/1 is related, I'm seeing all of those tweener.js stack traces in the log such as these:
Jul 24 14:08:59 ll612-01 journal[22451]: Object Meta.Background (0x563c6167eda0), has been already deallocated - impossib
le to access to it. This might be caused by the fact that the object has been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs
Jul 24 14:08:59 ll612-01 journal[22451]: Object Meta.BackgroundActor (0x563c6319c530), has been already finalized. Impossible to get any property from it.
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: == Stack trace for context 0x563c61044340 ==
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #0 0x7ffef8c34020 b   resource:///org/gnome/shell/ui/tweener.js:
73 (0x7ff1880c7cd0 @ 9)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #1 0x7ffef8c340c0 b   resource:///org/gnome/shell/ui/tweener.js:
105 (0x7ff1880c7f78 @ 36)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #2 0x7ffef8c34160 b   resource:///org/gnome/shell/ui/tweener.js:
92 (0x7ff1880c7de0 @ 52)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #3 0x7ffef8c350d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7ff1880d2918 @ 54)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #4 0x7ffef8c35220 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7ff1880d29a0 @ 1626)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #5 0x7ffef8c352d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7ff1880d2a28 @ 100)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #6 0x7ffef8c35360 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7ff1880d2ab0 @ 10)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #7 0x7ffef8c353e0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7ff1880cff78 @ 386)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #8 0x7ffef8c35490 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7ff1880cf5e8 @ 159)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #9 0x7ffef8c35500 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7ff1880b5de0 @ 71)
Jul 24 14:08:59 ll612-01 org.gnome.Shell.desktop[22451]: #10 0x7ffef8c35500 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7ff1880cf560 @ 15)

Comment 2 Ben Cotton 2018-11-27 14:55:46 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 22:15:41 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.